Skip to content
GET/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}/usages

Get issued punch card usages

Returns the usages of a specified issued punch card for a given mandate

Required permissions:

  • mandate.read

  • punchCard.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
issuedPunchCardIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}/usages
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}/usages' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

typestringrequired

Options:

eventresource
datedate-timerequired
pointsintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

descriptionstringrequired
detailsstringrequired
bookingNumberstringrequired

Response

200
[
  {
    "type": "event",
    "date": "2026-06-15T22:30:00Z",
    "points": 1,
    "description": "string",
    "details": "string",
    "bookingNumber": "string"
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}